body {
  background-color: white;
  display: flex;
  flex-direction: column;
  min-height: 100vh;  /* ici, pas sur le footer */
}

body::-webkit-scrollbar {
  display: none;
}

header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px 32px;
  border-bottom: 1px solid black;
}

@font-face {
  font-family: against;
  src: url(../import/against.ttf);
}

header h1 {
  font-family: "snaga-unicase-display", sans-serif;
  font-weight: 500;
  font-size: 20px;
  letter-spacing: 0.04em;
}

header a {
  text-decoration: none;
  color: inherit;
}

header ul {
  display: flex;
  flex-direction: row;
  list-style: none;
}

header ul li {
  display: inline;
  font-family: "snaga-unicase-display", sans-serif;
  font-weight: 500;
  font-size: 20px;
  letter-spacing: 0.04em;
  cursor: pointer;
  margin-left: 15px;
}

header a {
  text-decoration: none;
  color: inherit;
}

h2 {
  font-family: against;
  font-size: 80px;
  padding-top: 20px;
  margin-left: 32px;
  padding-bottom: 08px;
}

#carousel {
  overflow: hidden;
  width: 100%;
  padding: 20px 0;
}

.carousel-track {
  display: flex;
  gap: 1em;
  width: max-content;
  animation: defilement 5s linear infinite;
}

.carousel-track img {
  height: 400px;
  width: auto;
  flex-shrink: 0;
}

@keyframes defilement {
  0%   { transform: translateX(0); }
  100% { transform: translateX(-50%); }
}
.carousel::-webkit-scrollbar {
  display: none;
}


#intro {
  display: flex;          
  flex-direction: row;
  align-items: flex-start;
  gap: 40px;
  padding: 20px 10px;
  flex: 1;
}

#intro div {
  display: flex;
  flex-direction: column;
  gap: 6px;
  width: 30%;            
}


#intro h4 {
  font-family: "snaga-unicase-display", sans-serif;
  font-weight: 300;
  font-size: 20px;
}

#intro h3 {
  font-family: "snaga-unicase-display", sans-serif;
  font-weight: 500;
  font-size: 20px;
}

#intro p {
  padding-top: 105%;
  font-family: "serenity", sans-serif;
  font-weight: 300;
  font-size: 20px;
}

#intro img {
  width: 70%;           
  height: auto;
  object-fit: cover;
}



#bas {
  display: flex;          
  flex-direction: row;
  align-items: flex-start;
  padding: 20px 10px;
  max-width: 1500px;

}
#bas article {
  padding-top: ;
  display: flex;
  flex-direction: column;
  width: 30%;            
}
#bas article button {
  margin-top: 184%;
  background: #4a5e3a;
  color: white;
  border: none;
  padding: 10px 20px;
  font-family: "snaga-unicase-display", sans-serif;
  font-size: 14px;
  cursor: pointer;
  width: fit-content;
  width: 40%;
}


#bas p {
  font-family: "serenity", sans-serif;
  font-weight: 300;
  font-size: 20px;
}

#grille {
  width: 70%;
  display: flex;
  flex-direction: row;
  gap: 10px;
  flex: 1;
  max-width: 1500px;
  position: relative;
  left: 17px;
  
  
}

#grille > img:first-child {
  position: relative;
  right: 15px;
  width: 58%;
  height: auto;
}
.colonne_droite {
  display: flex;
  flex-direction: column;
  gap: 15px;
  width: 42%;
}

.colonne_droite img {
  margin-right: 0%;
  width: 100%;
  height: auto;
  object-fit: contain;

}

footer {
  width: 100%;
  padding: 14px 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-family: "snaga-unicase-display", sans-serif;
  font-weight: 300;
  font-size: 15px;
  letter-spacing: 0.04em;

}

footer ul {
  display: flex;
  justify-content: space-between;
  list-style: none;
  padding: 0 14px;
  width: 100%;
}

footer a {
  text-decoration: none;
  color: inherit;
}

footer a:hover {
  text-decoration: underline;
}